package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方平台对应订单信息实体
 * 表名 tb_cf_platform_order
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public class TbCfPlatformOrderEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 对应id
     */
    private String relativeId;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 第三方订单id
     */
    private String pOrderId;
    /**
     * 第三方平台名
     */
    private String platformName;
    /**
     * 第三方平台编号
     */
    private String platformCode;
    /**
     * 第三方发货地址
     */
    private String pDeliveryAddress;
    /**
     * 代购人
     */
    private String agentName;
    /**
     * 代购人id
     */
    private String agentId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 实际付款
     */
    private BigDecimal realPay;

    /**
     * 设置：对应id
     */
    public void setRelativeId(String relativeId) {
        this.relativeId = relativeId;
    }

    /**
     * 获取：对应id
     */
    public String getRelativeId() {
        return relativeId;
    }
    /**
     * 设置：订单id
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public String getOrderId() {
        return orderId;
    }
    /**
     * 设置：第三方订单id
     */
    public void setPOrderId(String pOrderId) {
        this.pOrderId = pOrderId;
    }

    /**
     * 获取：第三方订单id
     */
    public String getPOrderId() {
        return pOrderId;
    }
    /**
     * 设置：第三方平台名
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    /**
     * 获取：第三方平台名
     */
    public String getPlatformName() {
        return platformName;
    }
    /**
     * 设置：第三方平台编号
     */
    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    /**
     * 获取：第三方平台编号
     */
    public String getPlatformCode() {
        return platformCode;
    }
    /**
     * 设置：第三方发货地址
     */
    public void setPDeliveryAddress(String pDeliveryAddress) {
        this.pDeliveryAddress = pDeliveryAddress;
    }

    /**
     * 获取：第三方发货地址
     */
    public String getPDeliveryAddress() {
        return pDeliveryAddress;
    }
    /**
     * 设置：代购人
     */
    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    /**
     * 获取：代购人
     */
    public String getAgentName() {
        return agentName;
    }
    /**
     * 设置：代购人id
     */
    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    /**
     * 获取：代购人id
     */
    public String getAgentId() {
        return agentId;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：实际付款
     */
    public void setRealPay(BigDecimal realPay) {
        this.realPay = realPay;
    }

    /**
     * 获取：实际付款
     */
    public BigDecimal getRealPay() {
        return realPay;
    }
}
